Page MenuHomePhabricator

Design: banners for help pages directing users to either the beta help or the old RC Page help
Closed, ResolvedPublic

Description

There is a link on Special:Recent changes, linking to https://meta.wikimedia.org/wiki/Special:MyLanguage/Help:Recent_changes.

Changes provided by the Beta feature will not be documented on that page linked. A new icon dedicated to that Beta Feature is needed. It will link to the Help page that will be created on mw.org (T146669).

Assigned to Pau, to define the best place on the page.

Related Objects

StatusAssignedTask
DuplicateQgil
ResolvedQgil
ResolvedQgil
OpenNone
ResolvedDannyH
ResolvedDannyH
Resolved jmatazzoni
Resolved jmatazzoni
ResolvedMooeypoo
ResolvedJohan
ResolvedTrizek-WMF
Resolved jmatazzoni
ResolvedSBisson
ResolvedPginer-WMF
ResolvedTrizek-WMF
Resolved jmatazzoni
Resolved jmatazzoni
Resolved jmatazzoni
ResolvedTrizek-WMF
ResolvedPginer-WMF
Resolved jmatazzoni
ResolvedCatrope
ResolvedPginer-WMF
Resolved jmatazzoni

Event Timeline

I wonder if it would be possible to provide a single entry point for help on the page (so that users do not need to decide where to go when they already need help). When the beta feature is enabled, the help icon can lead them to a dedicated page with the updated information which may link to other pages (including the non-beta version) when further information is needed.

The regular recent changes page, can have also a link pointing to the beta version to let people know that there are additional capabilities that can be enabled for the page.

It is possible to create some documentation for the Beta feature, with a prominent link to the normal page documentation.

I was thinking about that: the Help link display on top-right of all (LTR) wikis Special:RencentChanges pages can be overwitten locally. If we decide to add a link to a dedicated page to https://meta.wikimedia.org/wiki/Help:Recent_changes, we will also need to check if the link on the wikis targets that Meta page.

The problem as I see it is that beta users will have two systems, the new and the old, coexisting on the same page. That's to say some are in the new filtering system, and others, like Namespace filter, will remain as they are. I was thinking that the solution would be to simply write a Help page for bet a users that copies over stuff from the old page where relevant and combines it with new help documentation where needed.

But I spoke to James, and he pointed out that different wikis have different RC page configurations and highly customized help pages. So that solution won't work.

  • Here's what I think we need to do:
  • Leave the current help page and link in place but
  • Add some kind of box to the top on relevant wikis saying that beta users will also want to check the new help docs.
  • Meanwhile, add a link somewhere in the dropdown panel that links to "Beta feature help"
  • That will go to a new page offering guidance about the new functions.

I realize there's no obvious place to put that beta help link, but I don't see a better solution. @Pginer-WMF, can you please look at this? By which I mean:

  • Design a tag/banner/box/whatever for the current help docs linking to the beta help doc.
  • Design a way to link to the beta help doc from the dropdown or active filter display area, etc.

The problem as I see it is that beta users will have two systems, the new and the old, coexisting on the same page.
...

  • Design a way to link to the beta help doc from the dropdown or active filter display area, etc.

When a user is in the Recent Changes page, they will see either the old version or the new version of it, but no both.
My proposal at T147054#2723410 was for the current help icon to point to the documentation about the old version when the old version is displayed, but point to the documentation about the new version when the new version is displayed. Do you expect any problem with that approach? Otherwise, we would be providing two different entry points for help in the new version.

This can be supported in different ways (with the same result):

  • The beta feature removes the "Help" link at the top-right of the page and adds a new "Help" link that points to a beta-specific help page instead.
  • The beta feature modifies the target of the "Help" link to make it point to a beta-specific version of the help page.

So this is how the help link currently looks, and how it would look for people with the beta enabled:

@Pginer-WMF wrote:

When a user is in the Recent Changes page, they will see either the old version or the new version of it, but no both.

Well, yes and no. I'm sorry if I wasn't clear. What I meant is that some of the tools on the page (all the stuff in the dropdown) are new. But a lot of the stuff on the page—like the Namespace and Tag filters, etc.—is old. And apparently, it's been widely customized and adapted from wiki to wiki, so I can't just create one page that includes all the new stuff plus the subset of old stuff we've carried forward. Because the old stuff would not be consistent from wiki to wiki.

What about having two help icons? One at the usual place that will go the the classical help page (on which we put a link to the new one) and one close to the filters search bar?

What about having two help icons? One at the usual place that will go the the classical help page (on which we put a link to the new one) and one close to the filters search bar?

Yes, that's what I think we need to do. @Pginer-WMF, where would the link to the beta help stuff go?

My concern about the two help entry points is that people looking for help may be in trouble understading how things work. Providing them two different places for help requires them to make a choice, for which they don't have information. For example, a user wondering how this whole page works may just end up picking randomly one help entry point.

Joe mentioned the problem of replicating content in the new documentation page, but we may not need to do so. We can use links to connect the different pieces of information (or maybe even transclusions, but I'm less familiar with how those work). I created a diagram to illustrate how the new help page can focus on the new information but still link to the main documentation (and the old documentation include a link to the new one to announce it):

The idea is to provide a simpler path of information, where users have one logical next step to get the information they need if they didn't found it already.

Adding another help entry point is possible (we already did for specific filter groups), but I'd like to understand first why the existing one cannot be used.

That idea is easy to implements on Help pages on mediawiki.org, but will need more involvement with communities if local pages exists (and a lot exists), to edit those pages. That's a good opportunity to promote central help pages too.

That idea is easy to implements on Help pages on mediawiki.org, but will need more involvement with communities if local pages exists (and a lot exists), to edit those pages. That's a good opportunity to promote central help pages too.

Just to note that modifying the existing Recent Changes documentation pages to add a "tag/banner/box/whatever for the current help docs linking to the beta help doc" (as Joe put it in T147054#2921042) is something that is common to both of the proposals discussed.

The more I'm checking it, the more I think it will be necessary to review the whole Help page, I'm afraid. :(

I think we need a design for what templates would be used on the Help pages to refer users to the correct help page (beta/nonbeta).

@Pginer, let's go with the solution you map out in this graphic:

Please design or identify the banners that will go on the Help pages directing users, respectively, to the beta filters help and to the standard tools help.

jmatazzoni renamed this task from Add an help icon and link to Special:RecentChanges dedicated to ERI's changes to Design: banners for help pages directing users to either the beta help or the old RC Page help.Feb 22 2017, 9:52 PM

I'd propose to have two templates: one more prominent to announce the new filters, the other more subtle to provide access to the rest of the documentation.


The more prominent template uses the beta feature icon, and is collapsible. In the collapsed mode, it keeps only the title and, if possible, turning part of the title into a link to keep one click access even when collapsed.

I made some mockups to illustrate them in context:

RC documentation (inviting to try new filters)New filter documentation (linking to the general documentation)
-

The new filters will not be available on all wikis at once. I'll add a list on the new filters documentation; maybe the best place would be in the template that promotes the general documentation?

I don't think a collapsible template is possible with a different state when collapsed.

The new filters will not be available on all wikis at once. I'll add a list on the new filters documentation; maybe the best place would be in the template that promotes the general documentation?

It is not clear to me why to add a list of languages. Can you elaborate a bit on this with some more specific examples?

The documentation pages are multilingual, so I'd expect the information to be only in the relevant language when such information is relevant. For example, the banners can be in Dutch documentation if the feature is available for some wikis in Dutch, while it may not be available in the Greek version if the feature is not available in Greek.

I don't think a collapsible template is possible with a different state when collapsed.

Ok. Then, let's do it the regular way.

The new filters will not be available on all wikis at once. I'll add a list on the new filters documentation; maybe the best place would be in the template that promotes the general documentation?

It is not clear to me why to add a list of languages. Can you elaborate a bit on this with some more specific examples?

We are going to release those filters by groups of wikis. the first group are Polish and Portuguese Wikipedias. A user from another wiki who will visit the pages will be confused if no information is provided about wikis that have (or don't have) that feature.

The documentation pages are multilingual, so I'd expect the information to be only in the relevant language when such information is relevant. For example, the banners can be in Dutch documentation if the feature is available for some wikis in Dutch, while it may not be available in the Greek version if the feature is not available in Greek.

The template will be on all pages. AFAK, it is not possible to have a template displayed for one language, but not the others.

I've drafted the first template.

We are going to release those filters by groups of wikis. the first group are Polish and Portuguese Wikipedias. A user from another wiki who will visit the pages will be confused if no information is provided about wikis that have (or don't have) that feature.

Ok. Including the information on the "New filters" page pointing to the general Recent Changes documentation should not be problematic.

The issue you describe is specifically for modifying the general Recent Changes documentation to point to the new filters. In this case, I think it makes sense to either:

  • Wait until the feature is available in all languages to include the template. Even if we tell people that this only applies to Polish wikipedia, we are calling users attention for something that may not be relevant for them and we reduce the chances of them to pay attention when it becomes relevant (they are not going to monitor the box to check if their language is added to the list later).
  • Make it clear on the target page (the new filters documentation) in which wikis it is available and when it is expected to be elsewhere. In that way the user already got a useful message even if her wiki does not provide the feature yet.

We are going to release those filters by groups of wikis. the first group are Polish and Portuguese Wikipedias. A user from another wiki who will visit the pages will be confused if no information is provided about wikis that have (or don't have) that feature.

Ok. Including the information on the "New filters" page pointing to the general Recent Changes documentation should not be problematic.

The issue you describe is specifically for modifying the general Recent Changes documentation to point to the new filters. In this case, I think it makes sense to either:

  • Wait until the feature is available in all languages to include the template. Even if we tell people that this only applies to Polish wikipedia, we are calling users attention for something that may not be relevant for them and we reduce the chances of them to pay attention when it becomes relevant (they are not going to monitor the box to check if their language is added to the list later).
  • Make it clear on the target page (the new filters documentation) in which wikis it is available and when it is expected to be elsewhere. In that way the user already got a useful message even if her wiki does not provide the feature yet.

I think we both agree. I then advice to:

  • not edit the Meta help page until the new filters will be released everywhere.
  • add a list of wikis where the filters are available as a Beta feature.

We will find other ways to promote the new filters, basically with direct messages to the communities. Plus, concerned people will have the filters enabled directly on the RC page, with a link to the help page with resources.

I talked to @Catrope. He doesn't like it, but says he's willing for us to commandeer the Help link for users who have the beta. That means we can do the solution below. Or rather, why don't we just do half hat solution—the lower half.

Which is to say:

  • If you don't have the beta, clicking Help brings you to the normal Help page.
  • If you do have the beta, clicking Help brings you to the beta Help page, which includes a link to the normal Help page.
  • On the Normal Help page, we don't really need to put a prominent banner, which would be seen by lots of people without the beta (and who can't even get it if they want it).
  • However, we will add a section to the normal help page someplace briefly describing the beta and its features, and linking to the main beta page.

Make sense?



{F5267731, size=full}

Make sense?

Sounds good. Information would be connected, which is the main goal.

In terms of attracting users, inviting people from the Recent Changes page (as proposed in T144457) seems more effective than doing so from the documentation (with ~300 visits/day).

jmatazzoni added a comment.EditedFeb 24 2017, 8:00 PM

@Pginer-WMF wrote:

In terms of attracting users, inviting people from the Recent Changes page

Right. What we're talking about is repurposing the existing help link on the Recent Changes page, so that it directs beta users to the beta page.

It looks like Benoit has already created a template to do what we need. If that works for you, I'll close this design ticket. And the actual work will get done via T158819

It looks like Benoit has already created a template to do what we need. If that works for you, I'll close this design ticket. And the actual work will get done via T158819

Sounds good. Feel free to close the ticket then.

jmatazzoni closed this task as Resolved.Feb 27 2017, 7:43 PM

@Pginer-WMF, can you upload the image used on the left of your mockup to Commons? (Category:New filters for edit review)
I need it to create the banner for Meta. Thanks!

@Pginer-WMF, can you upload the image used on the left of your mockup to Commons? (Category:New filters for edit review)
I need it to create the banner for Meta. Thanks!

Sorry fro the delay, @Trizek-WMF. The images are available at: